Class | YARD::Serializers::StdoutSerializer
In: | lib/yard/serializers/stdout_serializer.rb
Parent: | Base

A serializer that writes data to standard output.

### Methods

new serialize

### Public Class methods

new(wrap = nil)

Creates a serializer to print text to stdout

@param [Fixnum, nil] wrap if wrap is a number, wraps text to `wrap`

      columns, otherwise no wrapping is done.

### Public Instance methods

serialize(object, data)

Overrides serialize behaviour to write data to standard output

[Validate]